ruby 1.8.6 installation error on linux

Hi all,

i'm brand new to ruby. Just want to give it a try on linux, ruby-1.8.6

cd /share/apps/ruby-1.8.6
./configure --prefix=`pwd`

make
make install

make is ok but 'make install' encountered error. anyone knows why?
Many thanks.

[ericho@bioinfo ruby-1.8.6]$ make install
./miniruby ./instruby.rb --dest-dir="" --extout=".ext" --make="make"
--mflags="" --make-flags="" --installed-list .installed.list --
mantype="doc"
installing binary commands
installing command scripts
/share/apps/ruby-1.8.6/lib/fileutils.rb:1394:in `fu_each_src_dest':
same file: bin/irb and /share/apps/ruby-1.8.6/bin/irb (ArgumentError)
        from /share/apps/ruby-1.8.6/lib/fileutils.rb:1411:in
`fu_each_src_dest0'
        from /share/apps/ruby-1.8.6/lib/fileutils.rb:1393:in
`fu_each_src_dest'
        from /share/apps/ruby-1.8.6/lib/fileutils.rb:840:in `install'
        from ./instruby.rb:99:in `install'
        from ./instruby.rb:246
        from ./instruby.rb:239:in `each'
        from ./instruby.rb:239
        from ./instruby.rb:348:in `call'
        from ./instruby.rb:348
        from ./instruby.rb:345:in `each'
        from ./instruby.rb:345
        from ./instruby.rb:344:in `each'
        from ./instruby.rb:344
make: *** [do-install-nodoc] Error 1

Eric.